CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
Test_Panners.cpp File Reference
`#include "Test_Support.cpp"`
`#include "InOut.h"`
`#include "SpatialAudio.h"`
`#include "Binaural.h"`

Go to the source code of this file.

## Macros
#define | USE_TEST_MAIN

## Functions
void | testPan ()
| Pan a sine to stereo.
void | testN2MPan ()
| Pan a sine to "N" channels.
void | testSineMixer ()
| Test mixer – really slow additive synthesis.
void | testPanMix ()
| Pan and mix 2 sines.
void | testBigPanMix ()
| Pan and mix many sines.
void | testOscBank ()
| Make a bank or 50 sines with random walk panners and glissandi.
void | testCMapIO ()
| swap sound channels with a ChannelMappedBuffer InOut Constructor: InOut(input, inChan, outChan, [ch-1 ... ch-outChan]);
void | test_Binaural_horiz ()
| Spatializer with HRTF.
void | test_Binaural_vertAxial ()
| Repeat a short test file moving in circles around the vertical plane at AZ = CSL_PIHALF (axial plane in line with your ears, easy to localize)
void | test_Binaural_vertMedian ()
| Repeat a short test file moving in circles around the vertical plane at AZ = 0 (median plane between your ears, hard to localize)
void | test_Ambi_horiz ()
| Spatializer with Ambisonics.
void | test_SimpleP ()
| Spatializer with simple panners & filters and/or reverb.
void | test_VBAP_horiz ()
| Spatializer with VBAP.
void | runTests ()

## Macro Definition Documentation

#define USE_TEST_MAIN

Definition at line 12 of file Test_Panners.cpp.

## Function Documentation

void testPan | ( |  | ) |

Pan a sine to stereo.

Definition at line 26 of file Test_Panners.cpp.

References CSL_PI, csl::logMsg(), Osc, and runTest().

void testN2MPan | ( |  | ) |

Pan a sine to "N" channels.

Definition at line 38 of file Test_Panners.cpp.

References CSL_PI, csl::logMsg(), Osc, and runTest().

void testSineMixer | ( |  | ) |

Test mixer – really slow additive synthesis.

Definition at line 52 of file Test_Panners.cpp.

References csl::Mixer::addInput(), csl::logMsg(), Osc, and runTest().

void testPanMix | ( |  | ) |

Pan and mix 2 sines.

Definition at line 71 of file Test_Panners.cpp.

References csl::Mixer::addInput(), CSL_PI, csl::logMsg(), Osc, and runTest().

void testBigPanMix | ( |  | ) |

Pan and mix many sines.

Definition at line 95 of file Test_Panners.cpp.

References csl::Mixer::addInput(), CSL_PI, csl::Mixer::deleteInputs(), csl::fRandM(), csl::logMsg(), Osc, and runTest().

void testOscBank | ( |  | ) |

Make a bank or 50 sines with random walk panners and glissandi.

Definition at line 119 of file Test_Panners.cpp.

References csl::Mixer::addInput(), csl::Mixer::deleteInputs(), csl::logMsg(), Osc, and runTest().

void testCMapIO | ( |  | ) |

swap sound channels with a ChannelMappedBuffer InOut Constructor: InOut(input, inChan, outChan, [ch-1 ... ch-outChan]);

Copy in-out plug

Definition at line 144 of file Test_Panners.cpp.

References kNoProc, csl::logMsg(), Osc, and runTest().

void test_Binaural_horiz | ( |  | ) |

Spatializer with HRTF.

Repeat a short test file moving in circles around the horizontal plane

Definition at line 243 of file Test_Panners.cpp.

References csl::Spatializer::addSource(), CSL_NAME_LEN, csl::SpatialSource::dump(), csl::kBinaural, csl::logMsg(), csl::SpatialSource::setPosition(), csl::sleepSec(), and theIO.

Referenced by runTests().

void test_Binaural_vertAxial | ( |  | ) |

Repeat a short test file moving in circles around the vertical plane at AZ = CSL_PIHALF (axial plane in line with your ears, easy to localize)

Definition at line 277 of file Test_Panners.cpp.

References csl::Spatializer::addSource(), CSL_PIHALF, csl::SpatialSource::dump(), csl::kBinaural, csl::logMsg(), csl::SpatialSource::setPosition(), csl::sleepSec(), and theIO.

void test_Binaural_vertMedian | ( |  | ) |

Repeat a short test file moving in circles around the vertical plane at AZ = 0 (median plane between your ears, hard to localize)

Definition at line 303 of file Test_Panners.cpp.

References csl::Spatializer::addSource(), csl::SpatialSource::dump(), csl::kBinaural, csl::logMsg(), csl::SpatialSource::setPosition(), csl::sleepSec(), and theIO.

void test_Ambi_horiz | ( |  | ) |

Spatializer with Ambisonics.

Definition at line 330 of file Test_Panners.cpp.

References csl::Spatializer::addSource(), csl::SpatialSource::dump(), csl::kAmbisonic, csl::logMsg(), csl::SpatialSource::setPosition(), csl::sleepSec(), and theIO.

void test_SimpleP | ( |  | ) |

Spatializer with simple panners & filters and/or reverb.

Definition at line 355 of file Test_Panners.cpp.

References csl::Mixer::addInput(), csl::Spatializer::addSource(), csl::SpatialSource::dump(), csl::kSimple, csl::logMsg(), csl::SpatialSource::setPosition(), csl::sleepSec(), and theIO.

void test_VBAP_horiz | ( |  | ) |

Spatializer with VBAP.

Definition at line 383 of file Test_Panners.cpp.

References csl::Spatializer::addSource(), csl::SpatialSource::dump(), csl::kVBAP, csl::logMsg(), csl::SpatialSource::setPosition(), csl::sleepSec(), and theIO.

void runTests | ( |  | ) |

Definition at line 414 of file Test_Panners.cpp.

References test_Binaural_horiz().